Package com.independentsoft.office.spreadsheet

# Class ConditionalFormatting

java.lang.Object
com.independentsoft.office.spreadsheet.ConditionalFormatting

public class ConditionalFormatting extends Object
The Class ConditionalFormatting.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConditionalFormatting()`
  Instantiates a new conditional formatting.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConditionalFormatting`
  `clone()`
  `String`
  `getReference()`
  Gets the reference.
  `List<ConditionalFormattingRule>`
  `getRules()`
  Gets the rules.
  `boolean`
  `isPivotTable()`
  Checks if is pivot table.
  `void`
  `setPivotTable​(boolean isPivotTable)`
  Sets the pivot table.
  `void`
  `setReference​(String reference)`
  Sets the reference.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConditionalFormatting

    public ConditionalFormatting()
    Instantiates a new conditional formatting.

- ## Method Details

  - ### clone

    public ConditionalFormatting clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRules

    public List<ConditionalFormattingRule> getRules()
    Gets the rules.
    Returns:
      the rules

  - ### isPivotTable

    public boolean isPivotTable()
    Checks if is pivot table.
    Returns:
      true, if is pivot table

  - ### setPivotTable

    public void setPivotTable​(boolean isPivotTable)
    Sets the pivot table.
    Parameters:
      `isPivotTable` - the new pivot table

  - ### getReference

    public String getReference()
    Gets the reference.
    Returns:
      the reference

  - ### setReference

    public void setReference​(String reference)
    Sets the reference.
    Parameters:
      `reference` - the new reference